Provide an internal authorization mechanism

12/31/2009 10:46 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Authentication   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Before DHCP and DNS management is enabled a login mechanism is required for those sites that do not have LDAP

Add AuthSourceInternal and store passwords in the database

Related issues:

Blocks Foreman - Feature #62: Add a Generic DHCP library Closed 03/15/2010 03/15/2010

Associated revisions

Revision 7a4ec5cf - 07/06/2010 04:51 PM - Paul Kelly

Fixes #145 - Added AuthSourceInternal

Added a password setting facility to the user class for AuthSourceInternal

Switched to SHA1

Changed :ldap to :login

Applied numerous fixes from Ohad Levy

Fixed malformed user page

Switched attr_accessible to attr_protected

Swiched prepare_password to a before_validation, otherwise validations will fail

Lots of test fixes!

Revision 686cb440 - 07/07/2010 08:19 AM - Ohad Levy

requireing the sha1 library, refs #145

Revision 185db7c5 - 07/07/2010 11:18 AM - Ohad Levy

refs #145, cleanup test

History

#1 - 01/06/2010 05:21 AM - Ohad Levy

- Target version set to 0.3

#2 - 03/12/2010 12:45 PM - Paul Kelly

- Status changed from Assigned to Ready For Testing

fix in 81f679b87050484d9a7ec7ef55688687119993a1 on the new_iscdhcp_from_edge

#3 - 04/16/2010 04:26 PM - Paul Kelly

- Target version changed from 0.3 to 0.1-5

- Branch set to feature/145-AuthSourceInternal

I have ported the edge code to develop

Tested the migrations, on-the-fly registration and password changing.

This is not made mandatory and is not used if settings lDAP is not enabled

Creates an internal "root" account
#4 - 04/16/2010 04:31 PM - Paul Kelly

- Subject changed from Authorization must be enforced when DNS and DHCP editing is enabled to Provide an internal authorization mechanism

#5 - 05/27/2010 03:50 PM - Ohad Levy

- Target version changed from 0.1-5 to 0.1-6

#6 - 06/14/2010 10:23 AM - Paul Kelly

Fixed the code for 1.5 compatibility

Added some tests

I suggest that we change the name of SETTINGS[:ldap] to SETTINGS[:login] as it is currently misleading.

#7 - 06/17/2010 04:12 PM - Paul Kelly

switched to using SHA1 and stole some code from dish

#8 - 06/28/2010 07:14 PM - Paul Kelly

Added many improvements from Ohad

Many test fixes

Fixed issue where attr_accessible was breaking the logic

Switched to using attr_protected

Swiched prepare_password to a before_validation, otherwise validations will fail

#9 - 07/06/2010 10:54 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 7a4ec5cf7cd482e4adac225312aa02dbe82ff561.

#10 - 07/08/2010 12:26 PM - Paul Kelly

Update wiki and documentation before release

#11 - 07/19/2010 06:37 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
